import java.io.*;
import java.awt.Rectangle;

public class HeroStats implements Serializable
{
    public int id;
    public double x;
    public double y;
    public int checkXPositive;
    public int checkXNegative;
    public int width = 30; //def 
    public int height = 50; //def 
    public boolean jump; 
    public boolean isOnGround;
    public boolean isStanding;
    public boolean isLeft;
    public boolean isRunning;
    public boolean disconnect = false;
    public int health;
    public boolean spawned = true;
    
    public HeroStats()
    {
        x = 0;
    }
    
    public HeroStats(
    int id,
    int health,
    double x,
    double y,
    int checkXPositive,
    int checkXNegative,
    boolean jump,
    boolean isOnGround,
    boolean isStanding,
    boolean isLeft,
    boolean isRunning
    )
    {        
        this.id = id;
        this.health = health;
        this.x = x;
        this.y = y;
        this.checkXPositive = checkXPositive;
        this.checkXNegative = checkXNegative;
        this.jump = jump;
        this.isOnGround = isOnGround;
        this.isStanding = isStanding;
        this.isLeft = isLeft;
        this.isRunning = isRunning;
    }

    public void fillStats(
    int id,
    int health,
    double x,
    double y,
    int checkXPositive,
    int checkXNegative,
    boolean jump,
    boolean isOnGround,
    boolean isStanding,
    boolean isLeft,
    boolean isRunning
    )
    {
        this.id = id;
        this.health = health;
        this.x = x;
        this.y = y;
        this.checkXPositive = checkXPositive;
        this.checkXNegative = checkXNegative;
        this.jump = jump;
        this.isOnGround = isOnGround;
        this.isStanding = isStanding;
        this.isLeft = isLeft;
        this.isRunning = isRunning;
    }
    
    public void disconnect()
    {
        disconnect = true;
    }
    
    public void setSpawned(boolean spawned)
    {
        this.spawned = spawned;
    }
    
    public Rectangle getRectangle()
    {
        if(isStanding)
            return new Rectangle((int)x+5,(int)y, width-5, height);
        else
            return new Rectangle((int)x+5,(int)y-15, width-5, height-15);
            
    }
}
